%%%---------------------------------------
%%% module      : data_treasure_evaluation
%%% description : 幸运鉴宝配置
%%%
%%%---------------------------------------
-module(data_treasure_evaluation).
-compile(export_all).
-include("treasure_evaluation.hrl").



get_te_main_reward_con(1,1) ->
    #te_main_reward_con{main_reward_id = 1,reward_id = 1,image_str = lyzj,power = 15000,kind_id = 5,image_id = 302002,attr_list = [{1,500},{2,10000},{3,250},{4,250},{19,50},{20,50}],reward_type = 1,goods_list = [{0,16030001,1}],weight = 5};

get_te_main_reward_con(1,2) ->
    #te_main_reward_con{main_reward_id = 1,reward_id = 2,image_str = wsws,power = 15000,kind_id = 5,image_id = 302001,attr_list = [{1,500},{2,10000},{3,250},{4,250}],reward_type = 1,goods_list = [{0,16030002,1}],weight = 5};

get_te_main_reward_con(1,3) ->
    #te_main_reward_con{main_reward_id = 1,reward_id = 3,image_str = wsws,power = 15000,kind_id = 5,image_id = 302001,attr_list = [{1,500},{2,10000},{3,250},{4,250}],reward_type = 1,goods_list = [{0,16030002,1}],weight = 5};

get_te_main_reward_con(2,1) ->
    #te_main_reward_con{main_reward_id = 2,reward_id = 1,image_str = wsws,power = 15000,kind_id = 5,image_id = 302001,attr_list = [{1,500},{2,10000},{3,250},{4,250}],reward_type = 1,goods_list = [{0,16030002,1}],weight = 5};

get_te_main_reward_con(2,2) ->
    #te_main_reward_con{main_reward_id = 2,reward_id = 2,image_str = clzy,power = 24000,kind_id = 5,image_id = 301002,attr_list = [{1,600},{2,12000},{3,600},{4,600},{21,100}],reward_type = 1,goods_list = [{0,16030003,1}],weight = 5};

get_te_main_reward_con(3,1) ->
    #te_main_reward_con{main_reward_id = 3,reward_id = 1,image_str = clzy,power = 24000,kind_id = 5,image_id = 301002,attr_list = [{1,600},{2,12000},{3,600},{4,600},{21,100}],reward_type = 1,goods_list = [{0,16030003,1}],weight = 5};

get_te_main_reward_con(4,1) ->
    #te_main_reward_con{main_reward_id = 4,reward_id = 1,image_str = xtsq,power = 15000,kind_id = 5,image_id = 1610020,attr_list = [{1,500},{2,10000},{3,250},{4,250}],reward_type = 1,goods_list = [{0,12010003,1}],weight = 5};

get_te_main_reward_con(5,1) ->
    #te_main_reward_con{main_reward_id = 5,reward_id = 1,image_str = hssb,power = 24000,kind_id = 2,image_id = 240004,attr_list = [{1,600},{2,12000},{3,600},{4,600},{22,100}],reward_type = 1,goods_list = [{0,24030003,1}],weight = 5};

get_te_main_reward_con(6,1) ->
    #te_main_reward_con{main_reward_id = 6,reward_id = 1,image_str = mwhq,power = 21000,kind_id = 6,image_id = 400102,attr_list = [{1,700},{2,14000},{3,350},{4,350}],reward_type = 1,goods_list = [{0,40030008,1}],weight = 5};

get_te_main_reward_con(7,1) ->
    #te_main_reward_con{main_reward_id = 7,reward_id = 1,image_str = slyd,power = 14400,kind_id = 7,image_id = 183002,attr_list = [{1,480},{2,9600},{15,240},{16,240}],reward_type = 1,goods_list = [{0,18070002,1}],weight = 5};

get_te_main_reward_con(8,1) ->
    #te_main_reward_con{main_reward_id = 8,reward_id = 1,image_str = mwhq,power = 21000,kind_id = 6,image_id = 400102,attr_list = [{1,700},{2,14000},{3,350},{4,350}],reward_type = 1,goods_list = [{0, 40030008, 1}],weight = 5};

get_te_main_reward_con(8,2) ->
    #te_main_reward_con{main_reward_id = 8,reward_id = 2,image_str = lyzj,power = 15000,kind_id = 3,image_id = 220006,attr_list = [{1,500},{2,10000},{3,250},{4,250},{19,50},{20,50}],reward_type = 1,goods_list = [{0,22030005,1}],weight = 5};

get_te_main_reward_con(8,3) ->
    #te_main_reward_con{main_reward_id = 8,reward_id = 3,image_str = wsws,power = 15000,kind_id = 4,image_id = 181001,attr_list = [{1,500},{2,10000},{3,250},{4,250}],reward_type = 1,goods_list = [{0,18040002,1}],weight = 5};

get_te_main_reward_con(9,1) ->
    #te_main_reward_con{main_reward_id = 9,reward_id = 1,image_str = jlwz,power = 15000,kind_id = 4,image_id = 181002,attr_list = [{1,500},{2,10000},{3,250},{4,250}],reward_type = 1,goods_list = [{0,18040004,1}],weight = 5};

get_te_main_reward_con(10,1) ->
    #te_main_reward_con{main_reward_id = 10,reward_id = 1,image_str = mwbt,power = 16500,kind_id = 6,image_id = 400101,attr_list = [{1,550},{2,11000},{3,275},{4,275}],reward_type = 1,goods_list = [{0,40030007,1}],weight = 5};

get_te_main_reward_con(11,1) ->
    #te_main_reward_con{main_reward_id = 11,reward_id = 1,image_str = hjbb,power = 21600,kind_id = 7,image_id = 183003,attr_list = [{1,720},{2,14400},{15,360},{16,360}],reward_type = 1,goods_list = [{0,18070003,1}],weight = 5};

get_te_main_reward_con(12,1) ->
    #te_main_reward_con{main_reward_id = 12,reward_id = 1,image_str = chfb,power = 15000,kind_id = 5,image_id = 1610030,attr_list = [{1,1050},{2,21000},{3,525},{4,525}],reward_type = 1,goods_list = [{0,16030003,1}],weight = 5};

get_te_main_reward_con(13,1) ->
    #te_main_reward_con{main_reward_id = 13,reward_id = 1,image_str = jwzj,power = 15000,kind_id = 3,image_id = 220007,attr_list = [{1,500},{2,10000},{3,250},{4,250},{19,50},{20,50}],reward_type = 1,goods_list = [{0,22030006,1}],weight = 5};

get_te_main_reward_con(14,1) ->
    #te_main_reward_con{main_reward_id = 14,reward_id = 1,image_str = lyzy,power = 30000,kind_id = 1,image_id = 200006,attr_list = [{1,1200},{2,24000},{3,300},{4,300},{21,100}],reward_type = 1,goods_list = [{0,20030005,1}],weight = 5};

get_te_main_reward_con(15,1) ->
    #te_main_reward_con{main_reward_id = 15,reward_id = 1,image_str = clhz,power = 30000,kind_id = 2,image_id = 240005,attr_list = [{1,1200},{2,24000},{3,300},{4,300},{21,100}],reward_type = 1,goods_list = [{0,24030004,1}],weight = 5};

get_te_main_reward_con(_Mainrewardid,_Rewardid) ->
    [].

get_all_main_id() ->
    [{1,1},{1,2},{1,3},{2,1},{2,2},{3,1},{4,1},{5,1},{6,1},{7,1},{8,1},{8,2},{8,3},{9,1},{10,1},{11,1},{12,1},{13,1},{14,1},{15,1}].


get_all_big_reward_id_list(1) ->
    [1,2,3];


get_all_big_reward_id_list(2) ->
    [1,2];


get_all_big_reward_id_list(3) ->
    [1];


get_all_big_reward_id_list(4) ->
    [1];


get_all_big_reward_id_list(5) ->
    [1];


get_all_big_reward_id_list(6) ->
    [1];


get_all_big_reward_id_list(7) ->
    [1];


get_all_big_reward_id_list(8) ->
    [1,2,3];


get_all_big_reward_id_list(9) ->
    [1];


get_all_big_reward_id_list(10) ->
    [1];


get_all_big_reward_id_list(11) ->
    [1];


get_all_big_reward_id_list(12) ->
    [1];


get_all_big_reward_id_list(13) ->
    [1];


get_all_big_reward_id_list(14) ->
    [1];


get_all_big_reward_id_list(15) ->
    [1];

get_all_big_reward_id_list(_Mainrewardid) ->
    [].

get_te_weight_con(1,4) ->
    #te_reward_weight_con{main_reward_id = 1,reward_id = 4,reward_type = 1,goods_list = [{0,20020004,1}],weight = 50};

get_te_weight_con(1,5) ->
    #te_reward_weight_con{main_reward_id = 1,reward_id = 5,reward_type = 1,goods_list = [{0,20020002,1}],weight = 50};

get_te_weight_con(1,6) ->
    #te_reward_weight_con{main_reward_id = 1,reward_id = 6,reward_type = 1,goods_list = [{0,24020001,1}],weight = 50};

get_te_weight_con(1,7) ->
    #te_reward_weight_con{main_reward_id = 1,reward_id = 7,reward_type = 1,goods_list = [{0,24020002,1}],weight = 50};

get_te_weight_con(1,8) ->
    #te_reward_weight_con{main_reward_id = 1,reward_id = 8,reward_type = 1,goods_list = [{0,20020001,2}],weight = 200};

get_te_weight_con(1,9) ->
    #te_reward_weight_con{main_reward_id = 1,reward_id = 9,reward_type = 1,goods_list = [{0,20020002,2}],weight = 65};

get_te_weight_con(1,10) ->
    #te_reward_weight_con{main_reward_id = 1,reward_id = 10,reward_type = 1,goods_list = [{0,24020001,2}],weight = 200};

get_te_weight_con(1,11) ->
    #te_reward_weight_con{main_reward_id = 1,reward_id = 11,reward_type = 1,goods_list = [{0,24020002,2}],weight = 65};

get_te_weight_con(1,12) ->
    #te_reward_weight_con{main_reward_id = 1,reward_id = 12,reward_type = 1,goods_list = [{0,20020004,2}],weight = 200};

get_te_weight_con(1,13) ->
    #te_reward_weight_con{main_reward_id = 1,reward_id = 13,reward_type = 1,goods_list = [{0,20020002,2}],weight = 65};

get_te_weight_con(2,3) ->
    #te_reward_weight_con{main_reward_id = 2,reward_id = 3,reward_type = 1,goods_list = [{0,24020001,2}],weight = 50};

get_te_weight_con(2,4) ->
    #te_reward_weight_con{main_reward_id = 2,reward_id = 4,reward_type = 1,goods_list = [{0,24020002,2}],weight = 50};

get_te_weight_con(2,5) ->
    #te_reward_weight_con{main_reward_id = 2,reward_id = 5,reward_type = 1,goods_list = [{0,20020001,2}],weight = 50};

get_te_weight_con(2,6) ->
    #te_reward_weight_con{main_reward_id = 2,reward_id = 6,reward_type = 1,goods_list = [{0,20020002,2}],weight = 50};

get_te_weight_con(2,7) ->
    #te_reward_weight_con{main_reward_id = 2,reward_id = 7,reward_type = 1,goods_list = [{0,24020001,2}],weight = 200};

get_te_weight_con(2,8) ->
    #te_reward_weight_con{main_reward_id = 2,reward_id = 8,reward_type = 1,goods_list = [{0,24020002,2}],weight = 65};

get_te_weight_con(2,9) ->
    #te_reward_weight_con{main_reward_id = 2,reward_id = 9,reward_type = 1,goods_list = [{0,20020001,3}],weight = 135};

get_te_weight_con(2,10) ->
    #te_reward_weight_con{main_reward_id = 2,reward_id = 10,reward_type = 1,goods_list = [{0,20020002,3}],weight = 130};

get_te_weight_con(2,11) ->
    #te_reward_weight_con{main_reward_id = 2,reward_id = 11,reward_type = 1,goods_list = [{0,24020001,3}],weight = 200};

get_te_weight_con(2,12) ->
    #te_reward_weight_con{main_reward_id = 2,reward_id = 12,reward_type = 1,goods_list = [{0,24020004,3}],weight = 65};

get_te_weight_con(3,2) ->
    #te_reward_weight_con{main_reward_id = 3,reward_id = 2,reward_type = 1,goods_list = [{0,20020001,3}],weight = 50};

get_te_weight_con(3,3) ->
    #te_reward_weight_con{main_reward_id = 3,reward_id = 3,reward_type = 1,goods_list = [{0,20020002,3}],weight = 50};

get_te_weight_con(3,4) ->
    #te_reward_weight_con{main_reward_id = 3,reward_id = 4,reward_type = 1,goods_list = [{0,24020001,3}],weight = 50};

get_te_weight_con(3,5) ->
    #te_reward_weight_con{main_reward_id = 3,reward_id = 5,reward_type = 1,goods_list = [{0,24020002,3}],weight = 50};

get_te_weight_con(3,6) ->
    #te_reward_weight_con{main_reward_id = 3,reward_id = 6,reward_type = 1,goods_list = [{0,20020003,4}],weight = 200};

get_te_weight_con(3,7) ->
    #te_reward_weight_con{main_reward_id = 3,reward_id = 7,reward_type = 1,goods_list = [{0,20020002,4}],weight = 65};

get_te_weight_con(3,8) ->
    #te_reward_weight_con{main_reward_id = 3,reward_id = 8,reward_type = 1,goods_list = [{0,24020001,4}],weight = 200};

get_te_weight_con(3,9) ->
    #te_reward_weight_con{main_reward_id = 3,reward_id = 9,reward_type = 1,goods_list = [{0,24020002,4}],weight = 65};

get_te_weight_con(3,10) ->
    #te_reward_weight_con{main_reward_id = 3,reward_id = 10,reward_type = 1,goods_list = [{0,20020001,4}],weight = 200};

get_te_weight_con(3,11) ->
    #te_reward_weight_con{main_reward_id = 3,reward_id = 11,reward_type = 1,goods_list = [{0,20020003,4}],weight = 65};

get_te_weight_con(4,2) ->
    #te_reward_weight_con{main_reward_id = 4,reward_id = 2,reward_type = 1,goods_list = [{0,24020001,4}],weight = 50};

get_te_weight_con(4,3) ->
    #te_reward_weight_con{main_reward_id = 4,reward_id = 3,reward_type = 1,goods_list = [{0,24020002,4}],weight = 50};

get_te_weight_con(4,4) ->
    #te_reward_weight_con{main_reward_id = 4,reward_id = 4,reward_type = 1,goods_list = [{0,20020001,5}],weight = 50};

get_te_weight_con(4,5) ->
    #te_reward_weight_con{main_reward_id = 4,reward_id = 5,reward_type = 1,goods_list = [{0,20020002,5}],weight = 50};

get_te_weight_con(4,6) ->
    #te_reward_weight_con{main_reward_id = 4,reward_id = 6,reward_type = 1,goods_list = [{0,24020001,5}],weight = 200};

get_te_weight_con(4,7) ->
    #te_reward_weight_con{main_reward_id = 4,reward_id = 7,reward_type = 1,goods_list = [{0,24020004,5}],weight = 65};

get_te_weight_con(4,8) ->
    #te_reward_weight_con{main_reward_id = 4,reward_id = 8,reward_type = 1,goods_list = [{0,20020001,5}],weight = 200};

get_te_weight_con(4,9) ->
    #te_reward_weight_con{main_reward_id = 4,reward_id = 9,reward_type = 1,goods_list = [{0,20020002,5}],weight = 65};

get_te_weight_con(4,10) ->
    #te_reward_weight_con{main_reward_id = 4,reward_id = 10,reward_type = 1,goods_list = [{0,24020001,5}],weight = 135};

get_te_weight_con(4,11) ->
    #te_reward_weight_con{main_reward_id = 4,reward_id = 11,reward_type = 1,goods_list = [{0,24020003,5}],weight = 130};

get_te_weight_con(5,2) ->
    #te_reward_weight_con{main_reward_id = 5,reward_id = 2,reward_type = 1,goods_list = [{0,20020001,6}],weight = 50};

get_te_weight_con(5,3) ->
    #te_reward_weight_con{main_reward_id = 5,reward_id = 3,reward_type = 1,goods_list = [{0,20020002,6}],weight = 50};

get_te_weight_con(5,4) ->
    #te_reward_weight_con{main_reward_id = 5,reward_id = 4,reward_type = 1,goods_list = [{0,24020001,6}],weight = 50};

get_te_weight_con(5,5) ->
    #te_reward_weight_con{main_reward_id = 5,reward_id = 5,reward_type = 1,goods_list = [{0,24020002,6}],weight = 50};

get_te_weight_con(5,6) ->
    #te_reward_weight_con{main_reward_id = 5,reward_id = 6,reward_type = 1,goods_list = [{0,20020001,6}],weight = 200};

get_te_weight_con(5,7) ->
    #te_reward_weight_con{main_reward_id = 5,reward_id = 7,reward_type = 1,goods_list = [{0,20020002,6}],weight = 65};

get_te_weight_con(5,8) ->
    #te_reward_weight_con{main_reward_id = 5,reward_id = 8,reward_type = 1,goods_list = [{0,24020001,6}],weight = 200};

get_te_weight_con(5,9) ->
    #te_reward_weight_con{main_reward_id = 5,reward_id = 9,reward_type = 1,goods_list = [{0,24020002,6}],weight = 65};

get_te_weight_con(5,10) ->
    #te_reward_weight_con{main_reward_id = 5,reward_id = 10,reward_type = 1,goods_list = [{0,20020001,7}],weight = 135};

get_te_weight_con(5,11) ->
    #te_reward_weight_con{main_reward_id = 5,reward_id = 11,reward_type = 1,goods_list = [{0,20020002,7}],weight = 130};

get_te_weight_con(6,2) ->
    #te_reward_weight_con{main_reward_id = 6,reward_id = 2,reward_type = 1,goods_list = [{0,24020001,7}],weight = 50};

get_te_weight_con(6,3) ->
    #te_reward_weight_con{main_reward_id = 6,reward_id = 3,reward_type = 1,goods_list = [{0,24020002,7}],weight = 50};

get_te_weight_con(6,4) ->
    #te_reward_weight_con{main_reward_id = 6,reward_id = 4,reward_type = 1,goods_list = [{0,20020001,7}],weight = 50};

get_te_weight_con(6,5) ->
    #te_reward_weight_con{main_reward_id = 6,reward_id = 5,reward_type = 1,goods_list = [{0,20020002,7}],weight = 50};

get_te_weight_con(6,6) ->
    #te_reward_weight_con{main_reward_id = 6,reward_id = 6,reward_type = 1,goods_list = [{0,24020001,7}],weight = 200};

get_te_weight_con(6,7) ->
    #te_reward_weight_con{main_reward_id = 6,reward_id = 7,reward_type = 1,goods_list = [{0,24020002,7}],weight = 65};

get_te_weight_con(6,8) ->
    #te_reward_weight_con{main_reward_id = 6,reward_id = 8,reward_type = 1,goods_list = [{0,20020001,8}],weight = 200};

get_te_weight_con(6,9) ->
    #te_reward_weight_con{main_reward_id = 6,reward_id = 9,reward_type = 1,goods_list = [{0,20020002,8}],weight = 65};

get_te_weight_con(6,10) ->
    #te_reward_weight_con{main_reward_id = 6,reward_id = 10,reward_type = 1,goods_list = [{0,24020001,8}],weight = 200};

get_te_weight_con(6,11) ->
    #te_reward_weight_con{main_reward_id = 6,reward_id = 11,reward_type = 1,goods_list = [{0,24020002,8}],weight = 65};

get_te_weight_con(7,2) ->
    #te_reward_weight_con{main_reward_id = 7,reward_id = 2,reward_type = 1,goods_list = [{0,20020001,8}],weight = 50};

get_te_weight_con(7,3) ->
    #te_reward_weight_con{main_reward_id = 7,reward_id = 3,reward_type = 1,goods_list = [{0,20020002,8}],weight = 50};

get_te_weight_con(7,4) ->
    #te_reward_weight_con{main_reward_id = 7,reward_id = 4,reward_type = 1,goods_list = [{0,24020001,8}],weight = 50};

get_te_weight_con(7,5) ->
    #te_reward_weight_con{main_reward_id = 7,reward_id = 5,reward_type = 1,goods_list = [{0,24020002,8}],weight = 50};

get_te_weight_con(7,6) ->
    #te_reward_weight_con{main_reward_id = 7,reward_id = 6,reward_type = 1,goods_list = [{0,20020001,9}],weight = 200};

get_te_weight_con(7,7) ->
    #te_reward_weight_con{main_reward_id = 7,reward_id = 7,reward_type = 1,goods_list = [{0,20020002,9}],weight = 65};

get_te_weight_con(7,8) ->
    #te_reward_weight_con{main_reward_id = 7,reward_id = 8,reward_type = 1,goods_list = [{0,24020001,9}],weight = 200};

get_te_weight_con(7,9) ->
    #te_reward_weight_con{main_reward_id = 7,reward_id = 9,reward_type = 1,goods_list = [{0,24020002,9}],weight = 65};

get_te_weight_con(7,10) ->
    #te_reward_weight_con{main_reward_id = 7,reward_id = 10,reward_type = 1,goods_list = [{0,20020001,9}],weight = 200};

get_te_weight_con(7,11) ->
    #te_reward_weight_con{main_reward_id = 7,reward_id = 11,reward_type = 1,goods_list = [{0,20020002,9}],weight = 65};

get_te_weight_con(8,4) ->
    #te_reward_weight_con{main_reward_id = 8,reward_id = 4,reward_type = 1,goods_list = [{0,24020001,9}],weight = 80};

get_te_weight_con(8,5) ->
    #te_reward_weight_con{main_reward_id = 8,reward_id = 5,reward_type = 1,goods_list = [{0,24020002,9}],weight = 80};

get_te_weight_con(8,6) ->
    #te_reward_weight_con{main_reward_id = 8,reward_id = 6,reward_type = 1,goods_list = [{0,20020001,10}],weight = 80};

get_te_weight_con(8,7) ->
    #te_reward_weight_con{main_reward_id = 8,reward_id = 7,reward_type = 1,goods_list = [{0,20020002,10}],weight = 80};

get_te_weight_con(8,8) ->
    #te_reward_weight_con{main_reward_id = 8,reward_id = 8,reward_type = 1,goods_list = [{0,24020001,10}],weight = 175};

get_te_weight_con(8,9) ->
    #te_reward_weight_con{main_reward_id = 8,reward_id = 9,reward_type = 1,goods_list = [{0,24020002,10}],weight = 50};

get_te_weight_con(8,10) ->
    #te_reward_weight_con{main_reward_id = 8,reward_id = 10,reward_type = 1,goods_list = [{0,20020001,10}],weight = 175};

get_te_weight_con(8,11) ->
    #te_reward_weight_con{main_reward_id = 8,reward_id = 11,reward_type = 1,goods_list = [{0,20020002,10}],weight = 50};

get_te_weight_con(8,12) ->
    #te_reward_weight_con{main_reward_id = 8,reward_id = 12,reward_type = 1,goods_list = [{0,24020001,10}],weight = 175};

get_te_weight_con(8,13) ->
    #te_reward_weight_con{main_reward_id = 8,reward_id = 13,reward_type = 1,goods_list = [{0,24020002,10}],weight = 50};

get_te_weight_con(9,2) ->
    #te_reward_weight_con{main_reward_id = 9,reward_id = 2,reward_type = 1,goods_list = [{0,20020001,11}],weight = 50};

get_te_weight_con(9,3) ->
    #te_reward_weight_con{main_reward_id = 9,reward_id = 3,reward_type = 1,goods_list = [{0,20020002,11}],weight = 50};

get_te_weight_con(9,4) ->
    #te_reward_weight_con{main_reward_id = 9,reward_id = 4,reward_type = 1,goods_list = [{0,24020001,11}],weight = 50};

get_te_weight_con(9,5) ->
    #te_reward_weight_con{main_reward_id = 9,reward_id = 5,reward_type = 1,goods_list = [{0,24020002,11}],weight = 50};

get_te_weight_con(9,6) ->
    #te_reward_weight_con{main_reward_id = 9,reward_id = 6,reward_type = 1,goods_list = [{0,20020001,11}],weight = 200};

get_te_weight_con(9,7) ->
    #te_reward_weight_con{main_reward_id = 9,reward_id = 7,reward_type = 1,goods_list = [{0,20020002,11}],weight = 65};

get_te_weight_con(9,8) ->
    #te_reward_weight_con{main_reward_id = 9,reward_id = 8,reward_type = 1,goods_list = [{0,24020001,11}],weight = 200};

get_te_weight_con(9,9) ->
    #te_reward_weight_con{main_reward_id = 9,reward_id = 9,reward_type = 1,goods_list = [{0,24020002,11}],weight = 65};

get_te_weight_con(9,10) ->
    #te_reward_weight_con{main_reward_id = 9,reward_id = 10,reward_type = 1,goods_list = [{0,20020001,12}],weight = 200};

get_te_weight_con(9,11) ->
    #te_reward_weight_con{main_reward_id = 9,reward_id = 11,reward_type = 1,goods_list = [{0,20020002,12}],weight = 65};

get_te_weight_con(10,2) ->
    #te_reward_weight_con{main_reward_id = 10,reward_id = 2,reward_type = 1,goods_list = [{0,24020001,12}],weight = 50};

get_te_weight_con(10,3) ->
    #te_reward_weight_con{main_reward_id = 10,reward_id = 3,reward_type = 1,goods_list = [{0,24020002,12}],weight = 50};

get_te_weight_con(10,4) ->
    #te_reward_weight_con{main_reward_id = 10,reward_id = 4,reward_type = 1,goods_list = [{0,20020001,12}],weight = 50};

get_te_weight_con(10,5) ->
    #te_reward_weight_con{main_reward_id = 10,reward_id = 5,reward_type = 1,goods_list = [{0,20020002,12}],weight = 50};

get_te_weight_con(10,6) ->
    #te_reward_weight_con{main_reward_id = 10,reward_id = 6,reward_type = 1,goods_list = [{0,24020001,12}],weight = 200};

get_te_weight_con(10,7) ->
    #te_reward_weight_con{main_reward_id = 10,reward_id = 7,reward_type = 1,goods_list = [{0,24020002,12}],weight = 65};

get_te_weight_con(10,8) ->
    #te_reward_weight_con{main_reward_id = 10,reward_id = 8,reward_type = 1,goods_list = [{0,20020001,13}],weight = 135};

get_te_weight_con(10,9) ->
    #te_reward_weight_con{main_reward_id = 10,reward_id = 9,reward_type = 1,goods_list = [{0,20020002,13}],weight = 130};

get_te_weight_con(10,10) ->
    #te_reward_weight_con{main_reward_id = 10,reward_id = 10,reward_type = 1,goods_list = [{0,24020001,13}],weight = 200};

get_te_weight_con(10,11) ->
    #te_reward_weight_con{main_reward_id = 10,reward_id = 11,reward_type = 1,goods_list = [{0,24020002,13}],weight = 65};

get_te_weight_con(11,2) ->
    #te_reward_weight_con{main_reward_id = 11,reward_id = 2,reward_type = 1,goods_list = [{0,20020001,13}],weight = 50};

get_te_weight_con(11,3) ->
    #te_reward_weight_con{main_reward_id = 11,reward_id = 3,reward_type = 1,goods_list = [{0,20020002,13}],weight = 50};

get_te_weight_con(11,4) ->
    #te_reward_weight_con{main_reward_id = 11,reward_id = 4,reward_type = 1,goods_list = [{0,24020001,13}],weight = 50};

get_te_weight_con(11,5) ->
    #te_reward_weight_con{main_reward_id = 11,reward_id = 5,reward_type = 1,goods_list = [{0,24020002,13}],weight = 50};

get_te_weight_con(11,6) ->
    #te_reward_weight_con{main_reward_id = 11,reward_id = 6,reward_type = 1,goods_list = [{0,20020001,14}],weight = 200};

get_te_weight_con(11,7) ->
    #te_reward_weight_con{main_reward_id = 11,reward_id = 7,reward_type = 1,goods_list = [{0,20020002,14}],weight = 65};

get_te_weight_con(11,8) ->
    #te_reward_weight_con{main_reward_id = 11,reward_id = 8,reward_type = 1,goods_list = [{0,24020001,14}],weight = 200};

get_te_weight_con(11,9) ->
    #te_reward_weight_con{main_reward_id = 11,reward_id = 9,reward_type = 1,goods_list = [{0,24020002,14}],weight = 65};

get_te_weight_con(11,10) ->
    #te_reward_weight_con{main_reward_id = 11,reward_id = 10,reward_type = 1,goods_list = [{0,20020001,14}],weight = 200};

get_te_weight_con(11,11) ->
    #te_reward_weight_con{main_reward_id = 11,reward_id = 11,reward_type = 1,goods_list = [{0,20020002,14}],weight = 65};

get_te_weight_con(12,2) ->
    #te_reward_weight_con{main_reward_id = 12,reward_id = 2,reward_type = 1,goods_list = [{0,24020001,14}],weight = 50};

get_te_weight_con(12,3) ->
    #te_reward_weight_con{main_reward_id = 12,reward_id = 3,reward_type = 1,goods_list = [{0,24020002,14}],weight = 50};

get_te_weight_con(12,4) ->
    #te_reward_weight_con{main_reward_id = 12,reward_id = 4,reward_type = 1,goods_list = [{0,20020001,15}],weight = 50};

get_te_weight_con(12,5) ->
    #te_reward_weight_con{main_reward_id = 12,reward_id = 5,reward_type = 1,goods_list = [{0,20020002,15}],weight = 50};

get_te_weight_con(12,6) ->
    #te_reward_weight_con{main_reward_id = 12,reward_id = 6,reward_type = 1,goods_list = [{0,24020001,15}],weight = 200};

get_te_weight_con(12,7) ->
    #te_reward_weight_con{main_reward_id = 12,reward_id = 7,reward_type = 1,goods_list = [{0,24020002,15}],weight = 65};

get_te_weight_con(12,8) ->
    #te_reward_weight_con{main_reward_id = 12,reward_id = 8,reward_type = 1,goods_list = [{0,20020001,15}],weight = 200};

get_te_weight_con(12,9) ->
    #te_reward_weight_con{main_reward_id = 12,reward_id = 9,reward_type = 1,goods_list = [{0,20020002,15}],weight = 65};

get_te_weight_con(12,10) ->
    #te_reward_weight_con{main_reward_id = 12,reward_id = 10,reward_type = 1,goods_list = [{0,24020001,15}],weight = 135};

get_te_weight_con(12,11) ->
    #te_reward_weight_con{main_reward_id = 12,reward_id = 11,reward_type = 1,goods_list = [{0,24020002,15}],weight = 130};

get_te_weight_con(13,2) ->
    #te_reward_weight_con{main_reward_id = 13,reward_id = 2,reward_type = 1,goods_list = [{0,20020001,16}],weight = 50};

get_te_weight_con(13,3) ->
    #te_reward_weight_con{main_reward_id = 13,reward_id = 3,reward_type = 1,goods_list = [{0,20020002,16}],weight = 50};

get_te_weight_con(13,4) ->
    #te_reward_weight_con{main_reward_id = 13,reward_id = 4,reward_type = 1,goods_list = [{0,24020001,16}],weight = 50};

get_te_weight_con(13,5) ->
    #te_reward_weight_con{main_reward_id = 13,reward_id = 5,reward_type = 1,goods_list = [{0,24020002,16}],weight = 50};

get_te_weight_con(13,6) ->
    #te_reward_weight_con{main_reward_id = 13,reward_id = 6,reward_type = 1,goods_list = [{0,20020001,16}],weight = 200};

get_te_weight_con(13,7) ->
    #te_reward_weight_con{main_reward_id = 13,reward_id = 7,reward_type = 1,goods_list = [{0,20020002,16}],weight = 65};

get_te_weight_con(13,8) ->
    #te_reward_weight_con{main_reward_id = 13,reward_id = 8,reward_type = 1,goods_list = [{0,24020001,16}],weight = 200};

get_te_weight_con(13,9) ->
    #te_reward_weight_con{main_reward_id = 13,reward_id = 9,reward_type = 1,goods_list = [{0,24020002,16}],weight = 65};

get_te_weight_con(13,10) ->
    #te_reward_weight_con{main_reward_id = 13,reward_id = 10,reward_type = 1,goods_list = [{0,20020001,17}],weight = 135};

get_te_weight_con(13,11) ->
    #te_reward_weight_con{main_reward_id = 13,reward_id = 11,reward_type = 1,goods_list = [{0,20020002,17}],weight = 130};

get_te_weight_con(14,2) ->
    #te_reward_weight_con{main_reward_id = 14,reward_id = 2,reward_type = 1,goods_list = [{0,24020001,17}],weight = 50};

get_te_weight_con(14,3) ->
    #te_reward_weight_con{main_reward_id = 14,reward_id = 3,reward_type = 1,goods_list = [{0,24020002,17}],weight = 50};

get_te_weight_con(14,4) ->
    #te_reward_weight_con{main_reward_id = 14,reward_id = 4,reward_type = 1,goods_list = [{0,20020001,17}],weight = 50};

get_te_weight_con(14,5) ->
    #te_reward_weight_con{main_reward_id = 14,reward_id = 5,reward_type = 1,goods_list = [{0,20020002,17}],weight = 50};

get_te_weight_con(14,6) ->
    #te_reward_weight_con{main_reward_id = 14,reward_id = 6,reward_type = 1,goods_list = [{0,24020001,17}],weight = 200};

get_te_weight_con(14,7) ->
    #te_reward_weight_con{main_reward_id = 14,reward_id = 7,reward_type = 1,goods_list = [{0,24020002,17}],weight = 65};

get_te_weight_con(14,8) ->
    #te_reward_weight_con{main_reward_id = 14,reward_id = 8,reward_type = 1,goods_list = [{0,20020001,18}],weight = 200};

get_te_weight_con(14,9) ->
    #te_reward_weight_con{main_reward_id = 14,reward_id = 9,reward_type = 1,goods_list = [{0,20020002,18}],weight = 65};

get_te_weight_con(14,10) ->
    #te_reward_weight_con{main_reward_id = 14,reward_id = 10,reward_type = 1,goods_list = [{0,24020001,18}],weight = 200};

get_te_weight_con(14,11) ->
    #te_reward_weight_con{main_reward_id = 14,reward_id = 11,reward_type = 1,goods_list = [{0,24020002,18}],weight = 65};

get_te_weight_con(15,2) ->
    #te_reward_weight_con{main_reward_id = 15,reward_id = 2,reward_type = 1,goods_list = [{0,20020001,18}],weight = 50};

get_te_weight_con(15,3) ->
    #te_reward_weight_con{main_reward_id = 15,reward_id = 3,reward_type = 1,goods_list = [{0,20020002,18}],weight = 50};

get_te_weight_con(15,4) ->
    #te_reward_weight_con{main_reward_id = 15,reward_id = 4,reward_type = 1,goods_list = [{0,24020001,18}],weight = 50};

get_te_weight_con(15,5) ->
    #te_reward_weight_con{main_reward_id = 15,reward_id = 5,reward_type = 1,goods_list = [{0,24020002,18}],weight = 50};

get_te_weight_con(15,6) ->
    #te_reward_weight_con{main_reward_id = 15,reward_id = 6,reward_type = 1,goods_list = [{0,20020001,19}],weight = 200};

get_te_weight_con(15,7) ->
    #te_reward_weight_con{main_reward_id = 15,reward_id = 7,reward_type = 1,goods_list = [{0,20020002,19}],weight = 65};

get_te_weight_con(15,8) ->
    #te_reward_weight_con{main_reward_id = 15,reward_id = 8,reward_type = 1,goods_list = [{0,24020001,19}],weight = 200};

get_te_weight_con(15,9) ->
    #te_reward_weight_con{main_reward_id = 15,reward_id = 9,reward_type = 1,goods_list = [{0,24020002,19}],weight = 65};

get_te_weight_con(15,10) ->
    #te_reward_weight_con{main_reward_id = 15,reward_id = 10,reward_type = 1,goods_list = [{0,20020001,19}],weight = 200};

get_te_weight_con(15,11) ->
    #te_reward_weight_con{main_reward_id = 15,reward_id = 11,reward_type = 1,goods_list = [{0,20020002,19}],weight = 65};

get_te_weight_con(_Mainrewardid,_Rewardid) ->
    [].

get_all_weight_id() ->
    [{1,4},{1,5},{1,6},{1,7},{1,8},{1,9},{1,10},{1,11},{1,12},{1,13},{2,3},{2,4},{2,5},{2,6},{2,7},{2,8},{2,9},{2,10},{2,11},{2,12},{3,2},{3,3},{3,4},{3,5},{3,6},{3,7},{3,8},{3,9},{3,10},{3,11},{4,2},{4,3},{4,4},{4,5},{4,6},{4,7},{4,8},{4,9},{4,10},{4,11},{5,2},{5,3},{5,4},{5,5},{5,6},{5,7},{5,8},{5,9},{5,10},{5,11},{6,2},{6,3},{6,4},{6,5},{6,6},{6,7},{6,8},{6,9},{6,10},{6,11},{7,2},{7,3},{7,4},{7,5},{7,6},{7,7},{7,8},{7,9},{7,10},{7,11},{8,4},{8,5},{8,6},{8,7},{8,8},{8,9},{8,10},{8,11},{8,12},{8,13},{9,2},{9,3},{9,4},{9,5},{9,6},{9,7},{9,8},{9,9},{9,10},{9,11},{10,2},{10,3},{10,4},{10,5},{10,6},{10,7},{10,8},{10,9},{10,10},{10,11},{11,2},{11,3},{11,4},{11,5},{11,6},{11,7},{11,8},{11,9},{11,10},{11,11},{12,2},{12,3},{12,4},{12,5},{12,6},{12,7},{12,8},{12,9},{12,10},{12,11},{13,2},{13,3},{13,4},{13,5},{13,6},{13,7},{13,8},{13,9},{13,10},{13,11},{14,2},{14,3},{14,4},{14,5},{14,6},{14,7},{14,8},{14,9},{14,10},{14,11},{15,2},{15,3},{15,4},{15,5},{15,6},{15,7},{15,8},{15,9},{15,10},{15,11}].


get_te_weight_list(1) ->
    [{50,4},{50,5},{50,6},{50,7},{200,8},{65,9},{200,10},{65,11},{200,12},{65,13}];


get_te_weight_list(2) ->
    [{50,3},{50,4},{50,5},{50,6},{200,7},{65,8},{135,9},{130,10},{200,11},{65,12}];


get_te_weight_list(3) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{200,8},{65,9},{200,10},{65,11}];


get_te_weight_list(4) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{200,8},{65,9},{135,10},{130,11}];


get_te_weight_list(5) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{200,8},{65,9},{135,10},{130,11}];


get_te_weight_list(6) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{200,8},{65,9},{200,10},{65,11}];


get_te_weight_list(7) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{200,8},{65,9},{200,10},{65,11}];


get_te_weight_list(8) ->
    [{80,4},{80,5},{80,6},{80,7},{175,8},{50,9},{175,10},{50,11},{175,12},{50,13}];


get_te_weight_list(9) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{200,8},{65,9},{200,10},{65,11}];


get_te_weight_list(10) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{135,8},{130,9},{200,10},{65,11}];


get_te_weight_list(11) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{200,8},{65,9},{200,10},{65,11}];


get_te_weight_list(12) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{200,8},{65,9},{135,10},{130,11}];


get_te_weight_list(13) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{200,8},{65,9},{135,10},{130,11}];


get_te_weight_list(14) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{200,8},{65,9},{200,10},{65,11}];


get_te_weight_list(15) ->
    [{50,2},{50,3},{50,4},{50,5},{200,6},{65,7},{200,8},{65,9},{200,10},{65,11}];

get_te_weight_list(_Mainrewardid) ->
    [].

